{% load static %}

<div class="fixed-top" style="margin-top: -75px; padding-top: 75px; box-shadow: 0 0 0.2rem rgba(0,0,0,.1), 0 0.2rem 0.4rem rgba(0,0,0,.2);">
  <nav class="navbar navbar-expand-md navbar-gracedb navbar-dark">
    <a class="navbar-brand text-white" href="/">
      <img src="{% static "images/logo.svg" %}" style="width:30px;">
      GraceDB  
      {% if config_name %}
      <span class="text-danger">({{ config_name }})</span>
      {% endif %}
    </a>

  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="collapsibleNavbar">

    <ul class="navbar-nav">
      <li class="nav-item">
      <div class="btn-group">
        <a class="btn btn-small btn-navbar shadow-none" href="{% url "superevents:public-alerts-redirect" %}" role="button">Public Alerts</a>
  <button type="button" class="btn btn-small shadow-none btn-split dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
    <span class="sr-only">Toggle Dropdown</span>
  </button>
  <div class="dropdown-menu">
    <a class="dropdown-item" href="{% url "superevents:public-alerts" "O4" %}">O4</a>
    <a class="dropdown-item" href="{% url "superevents:public-alerts" "ER15"%}">ER15</a>
    <a class="dropdown-item" href="{% url "superevents:public-alerts" "O3" %}">O3</a>
  </div>
</div>
      </li>

      <li class="nav-item">
         <a class="nav-link text-light font-weight-light" href="{% url "latest" %}">Latest</a>
      </li>

      <li class="nav-item">
         <a class="nav-link text-light font-weight-light" href="{% url "mainsearch" %}">Search</a>
      </li>

      {% if user_is_internal %}

        <li class="nav-item">
           <a class="nav-link text-light font-weight-light" href="{% url "alerts:index" %}">Notifications</a>
        </li>

        <li class="nav-item">
           <a class="nav-link text-light font-weight-light" href="{% url "manage-pipelines" %}">Pipelines</a>
        </li>

      {% elif user_is_lvem %}
        <li class="nav-item">
           <a class="nav-link text-light font-weight-light" href="{% url "manage-password" %}">Manage Password</a>
        </li>

      {% endif %}

      <li class="nav-item">
         <a class="nav-link text-light font-weight-light" href="{% url "home" %}documentation/" target="_blank">Documentation</a>
      </li>

      {% if user %}
          {% if user.is_superuser %}
              <li class="nav-item">
                 <a class="nav-link text-light font-weight-light" href="{% url "home" %}admin_docs/" target="_blank">Admin Docs</a>
              </li>
          {% endif %}
      {% endif %}

      {% if user.is_authenticated %}

         <li class="nav-item">
            <a class="nav-link text-light font-weight-light" href="{% url "logout" %}?next={{ request.path }}">Logout</a>
         </li>

      {% else %}
         <li class="nav-item">
            <a class="nav-link text-light font-weight-light" href="{% url "login" %}?next={{ request.path }}">Login</a>
         </li>
      {% endif %}
    </ul>
  </div>
  </nav>

  <div class="container-fluid navbar-gracedb text-left">
           <span class="text-light" style="font-size:8pt">  
           {% if user.is_authenticated %}
           Authenticated as:
           {% if user.first_name %}
               {{ user.get_full_name }}
           {% else %}
               {{ user.username }}
           {% endif %}
           {% else %}
           Please log in to view full database contents.
           </span>
         {% endif %}
  </div>
</div>
